Name:             proj
Version:          9.4.1
Release:          2
Summary:          A generic coordinate transformation software
License:          MIT
URL:              https://proj4.org
Source0:          http://download.osgeo.org/proj/proj-%{version}.tar.gz
Source1:          http://download.osgeo.org/proj/proj-datumgrid-1.8.tar.gz
BuildRequires:    libtool make
BuildRequires:    gcc-c++ sqlite-devel libtiff-devel curl-devel
BuildRequires:    cmake gtest-devel >= 1.8.0 gmock-devel

%description
PROJ is a generic coordinate transformation software that transforms
geospatial coordinates from one coordinate reference system (CRS) to
another. This includes cartographic projections as well as geodetic
transformations. PROJ is released under the X/MIT open source license.

%package_help

%package          devel
Summary:          Development files for PROJ.4
Requires:         proj = %{version}-%{release}
Provides:         proj-static = %{version}-%{release}
Obsoletes:        proj-static < %{version}-%{release}

%description      devel
This package contains libproj and the appropriate header files and man pages
and libproj static library.This package alse contains additional US and
Canadian datum shift grids and additional EPSG dataset.

%package          nad
Summary:          US and Canadian datum shift grids for PROJ.4
Requires:         proj = %{version}-%{release}

%description      nad
This package contains additional US and Canadian datum shift grids.

%prep
%autosetup -n proj-%{version} -p1

%build
%cmake -DUSE_EXTERNAL_GTEST=ON
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}
tar -xf %{SOURCE1} --directory %{buildroot}%{_datadir}/%{name}

%check
ctest

%post
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS
%{_bindir}/cct
%{_bindir}/cs2cs
%{_bindir}/geod
%{_bindir}/gie
%{_bindir}/invgeod
%{_bindir}/invproj
%{_bindir}/proj
%{_bindir}/projinfo
%{_bindir}/projsync
%{_libdir}/libproj.so.25*

%files help
%doc NEWS README ChangeLog
%{_mandir}/man1/*.1*

%files devel
%{_includedir}/*.h
%{_includedir}/proj
%{_libdir}/{libproj.so,libproj.a,libproj.la}
%{_libdir}/cmake/proj/*.cmake
%{_libdir}/cmake/proj4/*.cmake
%attr(0755,root,root) %{_libdir}/pkgconfig/proj.pc

%files nad
%attr(0755,root,root) %{_libdir}/pkgconfig/proj.pc
%{_datadir}/proj

%changelog
* Tue Aug 20 2024 Xuebing Li <lixuebing@cqsoftware.com.cn> - 9.4.1-2
- Replaced declaration of help subpackage with the 'package_help' macro.

* Thu Jun 20 2024 xu_ping <707078654@qq.com> - 9.4.1-1
- Upgrade to 9.4.1

* Thu Oct 19 2023 yaoxin <yao_xin001@hoperun.com> - 9.3.0-1
- Upgrade to 9.3.0

* Wed Dec 14 2022 caodongxia <caodongxia@h-partners.com> - 8.2.1-2
- Add the compilation dependency make

* Tue Jan 18 2022 yaoxin <yaoxin30@huawei.com> - 8.2.1-1
- Upgrade proj to 8.2.1

* Wed Feb 19 2020 Senlin Xia <xiasenlin1@huawei.com> 4.9.3-8
- package init
